/*
 * PPS - The Parallel Production System - Frank Lopez - pps_questions@siliconvalleyone.com
 * 
 * FILE: inter.h
 *
 * Date: 6-16-87
 *
 */
#define PROMPT_OFF 60
#define PROMPT_ON 61

/*
  This can all be speeded up by creating hash symbol codes as was done for
  the parser. Here I just use "strcmp" instead of "==". It is slower, but
  for now it gives me the flexibility I enjoy.
*/

#define AGENDACMD "agenda"
#define CREATEEOCMD "createeo"
#define CREATERSCMD "creaters"
#define EDITEOCMD "editeo"
#define EDITRSCMD "editrs"
#define EXITCMD "unix"
#define FACTSCMD "facts"
#define LOADCMD "load"
#define PNETCMD "pnet"
#define PPCMD "pp"
#define RESETCMD "reset"
#define RUNCMD "run"
#define SAVECMD "save"
#define UNWATCHCMD "unwatch"
#define WATCHCMD "watch"

#define BUFFER_SIZE 1024
#define PROMPT_LEN 60
