/*
 *main.h
 *
 * This file is the main header file for the PPS software
 * development project.
 */

/* 		Global Declarations			*/
struct interface imgr; 	     /*interface manager structure*/

struct draw *ht[ HASHSIZE ]; /*The hash table*/

LOCK *ht_locks[ HASHSIZE ];  /*Locks for each of the draws of the hash table*/

char error_sb[ 256 ];        /*error messages that have to be preformatted*/

/* List of keywords that are hashed first*/
char *ASSERT;
char *DECLARE;
char *DEFEO;
char *DEFFACTS;
char *DEFRS;
char *DEFRULE;
char *PRINTOUT;
char *PRIORITY;
char *RETRACT;
char *SBNULL;		/*Null string*/
char *SBAND;
char *STOP;

int (*rhs[MAXRHS])();
