/*
 *struct.c -- structure operations.
 */

#include <parallel.h>
#include <stdio.h>
#include "common.h"

/*
 *ValuesCopy is a very important function, it is here that the system
 *           spends a significant amount of its time.
 */
struct values *ValuesCopy(pvalues, c)
struct values *pvalues;
int c;
{
    struct values *pvaluesNew,  *pvaluesRet;

    pvaluesNew = pvaluesRet = NULL; /*Head of new structure*/

    if (pvalues == NULL)
	return(NULL);

    switch (c) {
	case 1 :
		pvaluesRet = allocatestruct(values);
		*(pvaluesRet) = *(pvalues);
		pvaluesRet->next = NULL;
		break;

	case ALL :
		for (;pvalues != NULL; pvalues=pvalues->next) { 
	
		    if (pvaluesNew != NULL) {
			pvaluesNew->next = allocatestruct(values);
			pvaluesNew = pvaluesNew->next;
			}
		    else
			pvaluesRet = pvaluesNew = allocatestruct(values);

		    *(pvaluesNew) = *(pvalues);
		    } /*for*/

		pvaluesNew->next = NULL; /*set to no more elements*/

		break;

	default :
		EH(NULLSCANNER, "ValuesCopy Switch out of range.");
		break;
	} /*switch*/

    return(pvaluesRet); /*return the new structure*/

} /*ValuesCopy*/
