/*
 * PPS - The Parallel Production System - Frank Lopez - pps_questions@siliconvalleyone.com
 * 
 * FILE: comm.h
 *
 * Date: 6-16-87
 *
 */

#define NotEmpty(box) (*box->mesgs != NULL)
#define CompareEO_ID(str, nm, sid) (str->status == WORD) ? \
 			(strcmp(str->ni.name, nm) == 0) : (str->ni.id == sid)

#define SYSTEM_CONT 1
#define SYSTEM_DONE 2

#define EO_PROCESSING 1
#define EO_READY 2
#define EO_WAITING 3
#define EO_INIT 4
#define EO_STOPPED 5

#define MESG_RETRACT 1
#define MESG_ASSERT 2
#define MESG_START 3
#define MESG_END 4
#define MESG_INIT 5
#define MESG_STOPPED 6

#define MAX_MESG_LEN 256

#define OUT_BOX 1
#define IN_BOX 2

#define INIT_BUF (char **)MemAlloc(sizeof(char **))

extern char **AddMessage();
extern char **RemoveMessage();

extern char *RecvMesg();
extern int   SendMesg();

extern struct mailbox *GetBox();
extern struct mailbox *GetEO_Outbox();
extern struct defeo *GetEO_by_name();

extern char *CreateToken();
extern char *CreateMesg();

extern char mesg_start[];
extern char mesg_end[];
extern char mesg_stopped[];
