/*
 * PPS - The Parallel Production System - Frank Lopez - pps_questions@siliconvalleyone.com
 * 
 * FILE: main.h - this file is the main header file for the PPS software development project.
 *
 * Date: 6-16-87
 *
 */

/* 		Global Declarations			*/
struct la_token LaTokens[ LASIZE ];
int laCt; /*total number of tokens in buffer*/
int laFill; /*next look ahead slot to fill in*/
int laEmpty; /*next look ahead slot to be read*/
struct token_main token;
struct interface imgr; /*interface manager structure*/

struct draw *ht[ HASHSIZE ]; /*The hash table*/

char error_sb[ 256 ]; /*error messages that have to be preformatted*/

int ch;			/*Parsing input character*/

/* List of keywords that are hashed first*/
char *ASSERT;
char *DECLARE;
char *DEFEO;
char *DEFFACTS;
char *DEFRS;
char *DEFRULE;
char *PRINTOUT;
char *PRIORITY;
char *RETRACT;
char *SBNULL;		/*Null string*/
char *SBAND;
char *STOP;

