/*
 *comm.h
 */

#define DEBUG_COMM 0

#define EO_INIT 1
#define EO_PROCESSING 2
#define EO_READY 3
#define EO_STOPPED 4
#define EO_WAITING 5

#define MESG_ASSERT 1
#define MESG_ASSERT_RS 2
#define MESG_END 3
#define MESG_EO_STOPPED 4
#define MESG_FIRE 5
#define MESG_INIT 6
#define MESG_NA 7
#define MESG_RETRACT 8
#define MESG_RETRACT_RS 9
#define MESG_RTF 10
#define MESG_START 11
#define MESG_STOPPED 12

#define MAX_MESG_LEN 256

#define IN_BOX 1
#define OUT_BOX 2

#define INIT_BUF (char **)MemAlloc(sizeof(char **))

extern char **AddMessage();
extern char **RemoveMessage();

extern char *RecvMesg();
extern int   SendMesg();

extern struct mailbox *GetBox();
extern struct defeo *GetEO_by_name();
extern struct mailbox *GetEO_Outbox();

extern char *CreateMesg();
extern char *CreateToken();

extern char mesg_end[];
extern char mesg_eo_stopped[];
extern char mesg_fire[];
extern char mesg_na[];
extern char mesg_rtf[];
extern char mesg_stopped[];
